Daemon Power

The NetBSD Packages Collection: devel/ecore

Brief description of the package:
Event Abstraction and Modular Convenience Library

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://enlightenment.org/.

Please note that this package has a 2-clause-bsd license.

The package is located in the "devel/ecore" directory. The current source version of the package is "ecore-1.7.7nb15". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/ecore :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: eet>=1.7.7 eina>=1.7.7 cwrappers>=20150314 jpeg>=8nb1 jpeg>=9 evas-buffer>=1.7.7 fontconfig>=2.11.91 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 evas>=1.7.7 eet>=1.7.7nb2 fontconfig>=2.13.0 evas>=1.7.7nb4 evas-software-x11>=1.7.0alpha x11-links>=1.30 osabi-NetBSD-8.0_STABLE xorgproto>=2016.1 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 nghttp2>=1.39.2nb1 libXScrnSaver>=1.1.2 libXcomposite>=0.3.1 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xfixes>=2.0.1nb2 xcursor>=1.0 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 xcursor>=1.1.1 libXdamage>=1.0.3 Xrandr>=0.99 Xrandr>=1.0.1 libXtst>=1.0.1 curl>=7.65.3nb3 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 .

This package requires the following package(s) to run: eet>=1.7.7 eina>=1.7.7 jpeg>=8nb1 jpeg>=9 evas-buffer>=1.7.7 fontconfig>=2.11.91 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 evas>=1.7.7 eet>=1.7.7nb2 fontconfig>=2.13.0 evas>=1.7.7nb4 evas-software-x11>=1.7.0alpha curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libffi>=3.0.11 python37>=3.7.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 nghttp2>=1.39.2nb1 libXScrnSaver>=1.1.2 libXcomposite>=0.3.1 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 xcursor>=1.0 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 xcursor>=1.1.1 libXdamage>=1.0.3 Xrandr>=0.99 Xrandr>=1.0.1 libXtst>=1.0.1 curl>=7.65.3nb3 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ecore-1.7.7nb12.tgz(NetBSD 8.0)
alpha:ecore-1.7.7nb11.tgz(NetBSD 8.0)
alpha:ecore-1.7.7nb12.tgz(NetBSD 8.0)
earm:ecore-1.7.7nb1.tgz(NetBSD 7.0)
earm:ecore-1.7.7nb12.tgz(NetBSD 8.0)
earm:ecore-1.7.7nb12.tgz(NetBSD 8.0)
earmv4:ecore-1.7.7nb12.tgz(NetBSD 8.0)
earmv4:ecore-1.7.7nb12.tgz(NetBSD 8.0)
earmv6hf:ecore-1.7.7nb1.tgz(NetBSD 7.0)
earmv6hf:ecore-1.7.7nb12.tgz(NetBSD 8.0)
earmv6hf:ecore-1.7.7nb12.tgz(NetBSD 8.0)
earmv6hf:ecore-1.7.7nb15.tgz(NetBSD 8.0)
earmv7hf:ecore-1.7.7nb1.tgz(NetBSD 7.0)
earmv7hf:ecore-1.7.7nb12.tgz(NetBSD 8.0)
earmv7hf:ecore-1.7.7nb12.tgz(NetBSD 8.0)
i386:ecore-1.7.7nb1.tgz(MirBSD 10)
i386:ecore-1.7.7nb12.tgz(NetBSD 7.0)
i386:ecore-1.7.7nb9.tgz(NetBSD 7.0)
i386:ecore-1.7.7nb10.tgz(NetBSD 7.0)
i386:ecore-1.7.7nb11.tgz(NetBSD 7.0)
i386:ecore-1.7.7nb12.tgz(NetBSD 7.0)
i386:ecore-1.7.7nb12.tgz(NetBSD 7.1)
i386:ecore-1.7.7nb9.tgz(NetBSD 7.1)
i386:ecore-1.7.7nb10.tgz(NetBSD 7.1)
i386:ecore-1.7.7nb11.tgz(NetBSD 7.1)
i386:ecore-1.7.7nb12.tgz(NetBSD 7.1)
i386:ecore-1.7.7nb12.tgz(NetBSD 8.0)
i386:ecore-1.7.7nb9.tgz(NetBSD 8.0)
i386:ecore-1.7.7nb10.tgz(NetBSD 8.0)
i386:ecore-1.7.7nb11.tgz(NetBSD 8.0)
i386:ecore-1.7.7nb12.tgz(NetBSD 8.0)
m68k:ecore-1.7.7nb12.tgz(NetBSD 8.0)
m68k:ecore-1.7.7nb12.tgz(NetBSD 8.0)
mips64eb:ecore-1.7.7nb11.tgz(NetBSD 8.0)
mips64eb:ecore-1.7.7nb12.tgz(NetBSD 8.0)
powerpc:ecore-1.7.7nb11.tgz(NetBSD 7.1)
powerpc:ecore-1.7.7nb12.tgz(NetBSD 7.1)
powerpc:ecore-1.7.7nb12.tgz(NetBSD 8.0)
powerpc:ecore-1.7.7nb11.tgz(NetBSD 8.0)
sparc64:ecore-1.7.7nb12.tgz(NetBSD 8.0)
sparc64:ecore-1.7.7nb12.tgz(NetBSD 8.0)
sparc:ecore-1.7.7nb12.tgz(NetBSD 8.0)
sparc:ecore-1.7.7nb12.tgz(NetBSD 8.0)
x86_64:ecore-1.7.7nb12.tgz(NetBSD 7.0)
x86_64:ecore-1.7.7nb9.tgz(NetBSD 7.0)
x86_64:ecore-1.7.7nb10.tgz(NetBSD 7.0)
x86_64:ecore-1.7.7nb11.tgz(NetBSD 7.0)
x86_64:ecore-1.7.7nb12.tgz(NetBSD 7.0)
x86_64:ecore-1.7.7nb12.tgz(NetBSD 7.1)
x86_64:ecore-1.7.7nb9.tgz(NetBSD 7.1)
x86_64:ecore-1.7.7nb10.tgz(NetBSD 7.1)
x86_64:ecore-1.7.7nb11.tgz(NetBSD 7.1)
x86_64:ecore-1.7.7nb12.tgz(NetBSD 7.1)
x86_64:ecore-1.7.7nb12.tgz(NetBSD 8.0)
x86_64:ecore-1.7.7nb9.tgz(NetBSD 8.0)
x86_64:ecore-1.7.7nb10.tgz(NetBSD 8.0)
x86_64:ecore-1.7.7nb11.tgz(NetBSD 8.0)
x86_64:ecore-1.7.7nb12.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]